syncope-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò (JIRA) <j...@apache.org>
Subject [jira] [Comment Edited] (SYNCOPE-839) Syncope 2.0.0-M2 has a missing dependency syncope-fit-build-build-tools
Date Mon, 09 May 2016 07:33:12 GMT

    [ https://issues.apache.org/jira/browse/SYNCOPE-839?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15270516#comment-15270516
] 

Francesco Chicchiriccò edited comment on SYNCOPE-839 at 5/9/16 7:33 AM:
------------------------------------------------------------------------

When running {{-P embedded}} under console / enduser in the project generated by archetype,
a Tomcat instance is started via cargo, with core configured for in-memory H2 database and
test data.

The problem is that, as it used to be in 1.2.X (considering that 2.0 started with a huge code
refactoring), this requires the additional Maven dependency

{code:xml}
        <dependency>
          <groupId>org.apache.syncope.fit</groupId>
          <artifactId>syncope-fit-build-tools</artifactId>
          <version>${syncope.version}</version>
          <type>war</type>
          <scope>test</scope>
        </dependency>
{code}

to be deployed alongside the Syncope WAR application(s), as it contains supporting tools for
tests.

The reason why {{syncope-fit-build-tools}} is not found is because the deployment to Maven
repository was [explicitly disabled|https://github.com/apache/syncope/blob/syncope-2.0.0-M2/fit/build-tools/pom.xml#L159];
the rationale behind this was to avoid the need to upload large files during the [release
process|http://syncope.apache.org/release-process.html].

I see two alternative solutions here:

# (trivial) re-enable the deployment to Maven of {{syncope-fit-build-tools}} during the release
process
# add a further {{build-tools}} module to archetype, with sources automatically copied from
{{fit/build-tools}}

I am actually not sure of which solution is the best: the former will require again to upload
a WAR file to Maven repository during release, while the latter will require each project
generated from our archetype to bear this further module, even if not strictly needed (unless
{{-P embedded}} is used).


was (Author: ilgrosso):
When running {{-P embedded}} under console / enduser in the project generated by archetype,
a Tomcat instance is started via cargo, with core configured for in-memory H2 database and
test data.

The problem is that, as it used to be in 1.2.X (considering that 2.0 started with a huge code
refactoring), this requires the additional Maven dependency

{code:xml}
        <dependency>
          <groupId>org.apache.syncope.fit</groupId>
          <artifactId>syncope-fit-build-tools</artifactId>
          <version>${syncope.version}</version>
          <type>war</type>
          <scope>test</scope>
        </dependency>
{code}

to be deployed alongside the Syncope WAR application(s), as it contains supporting tools for
tests.

The reason why {{syncope-fit-build-tools}} is not found is because the deployment to Maven
repository was [explicitly disabled|https://github.com/apache/syncope/blob/master/fit/build-tools/pom.xml#L159];
the rationale behind this was to avoid the need to upload large files during the [release
process|http://syncope.apache.org/release-process.html].

I see two alternative solutions here:

# (trivial) re-enable the deployment to Maven of {{syncope-fit-build-tools}} during the release
process
# add a further {{build-tools}} module to archetype, with sources automatically copied from
{{fit/build-tools}}

I am actually not sure of which solution is the best: the former will require again to upload
a WAR file to Maven repository during release, while the latter will require each project
generated from our archetype to bear this further module, even if not strictly needed (unless
{{-P embedded}} is used).

> Syncope 2.0.0-M2 has a missing dependency syncope-fit-build-build-tools
> -----------------------------------------------------------------------
>
>                 Key: SYNCOPE-839
>                 URL: https://issues.apache.org/jira/browse/SYNCOPE-839
>             Project: Syncope
>          Issue Type: Bug
>    Affects Versions: 2.0.0-M2
>         Environment: Centos 7, Maven 3.3.9, Java JDK 1.8.0_60 Oracle Corporation
>            Reporter: Shagun Akarsh
>            Assignee: Francesco Chicchiriccò
>              Labels: build, documentation, maven, starter
>             Fix For: 2.0.0
>
>
> As mentioned in [getting started documentation|http://syncope.apache.org/docs/getting-started.html#create-project]
of creating archetype project and then deploying in embedded mode.
> The {code}mvn -P embedded{code} fails due to unreachable dependency on *org.apache.syncope.fit:syncope-fit-build-tools:war:2.0.0-M2*.
Thus {color:red}build fails{color:red}.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message